org.apache.commons.io.input

## Class UncheckedFilterInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.commons.io.input.UncheckedFilterInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class UncheckedFilterInputStream
      extends FilterInputStream

  A `BufferedReader` that throws `UncheckedIOException` instead of `IOException`.

  To build an instance, see `UncheckedFilterInputStream.Builder`.

  Since:
    2.12.0
  See Also:
    `BufferedReader`, `IOException`, `UncheckedIOException`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UncheckedFilterInputStream.Builder` Builds a new `UncheckedFilterInputStream` instance.

  - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()` Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    `static UncheckedFilterInputStream.Builder` | `builder()` Constructs a new `UncheckedFilterInputStream.Builder`.
    `void` | `close()` Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    `int` | `read()` Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    `int` | `read(byte[] b)` Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    `int` | `read(byte[] b, int off, int len)` Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    `void` | `reset()` Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
    `long` | `skip(long n)` Calls this method's super and rethrow `IOException` as `UncheckedIOException`.

    - ### Methods inherited from class java.io.FilterInputStream

      `mark, markSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### builder

          public static UncheckedFilterInputStream.Builder builder()

      Constructs a new `UncheckedFilterInputStream.Builder`.
      Returns:
        a new `UncheckedFilterInputStream.Builder`.

    - #### available

          public int available()
                        throws UncheckedIOException

      Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
      Overrides:
        `available` in class `FilterInputStream`
      Throws:
        `UncheckedIOException`

    - #### close

          public void close()
                     throws UncheckedIOException

      Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `FilterInputStream`
      Throws:
        `UncheckedIOException`

    - #### read

          public int read()
                   throws UncheckedIOException

      Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
      Overrides:
        `read` in class `FilterInputStream`
      Throws:
        `UncheckedIOException`

    - #### read

          public int read(byte[] b)
                   throws UncheckedIOException

      Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
      Overrides:
        `read` in class `FilterInputStream`
      Throws:
        `UncheckedIOException`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws UncheckedIOException

      Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
      Overrides:
        `read` in class `FilterInputStream`
      Throws:
        `UncheckedIOException`

    - #### reset

          public void reset()
                     throws UncheckedIOException

      Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
      Overrides:
        `reset` in class `FilterInputStream`
      Throws:
        `UncheckedIOException`

    - #### skip

          public long skip(long n)
                    throws UncheckedIOException

      Calls this method's super and rethrow `IOException` as `UncheckedIOException`.
      Overrides:
        `skip` in class `FilterInputStream`
      Throws:
        `UncheckedIOException`

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.